//
//  VideoListViewModel.h
//  VideoPlayer
//
//  Created by 白璐 on 16/9/18.
//  Copyright © 2016年 baidu. All rights reserved.
//

#import "Defines.h"

@interface VideoListViewModel : NSObject <VideoSource>

- (NSUInteger)count;
- (NSString*)image:(NSUInteger)index;
- (NSString*)title:(NSUInteger)index;
- (NSString*)detail:(NSUInteger)index;
- (NSString*)url:(NSUInteger)index;
- (NSString*)token:(NSUInteger)index;
- (BOOL)isDownloadableResource:(NSUInteger)index;
- (BOOL)isDownloading:(NSUInteger)index;
- (void)deleteVideo:(NSUInteger)index;
- (void)add:(NSString*)name url:(NSString*)url;
- (void)download:(NSUInteger)index cancelBlock:(void(^)(BOOL cancel))block;

@end
